
public class SimpleSearch {

    public static void main(String[] args) {
        String text    = "webwepdbwebdbwwebdbwebbb";
        String pattern = "webdb";
        int cnt        = search(text, pattern);
        System.out.println("「" + pattern + "」の出現回数:" + cnt);
    }
        
    // 文書文字列(text)のtstart+1文字目から検索文字列(pattern)を照合する
    private static Boolean isMatch(String text, int tstart, String pattern) {
        int plen = pattern.length();
        for (int i=0;i<plen;++i) {
            if (text.charAt(tstart + i) != pattern.charAt(i)) {
                return false;
            }
        }
        return true;
    }
        
    // 文書文字列(text)内にある検索文字列(pattern)の数を数える
    private static int search(String text, String pattern) {
        int tlen, plen, appear_cnt;
        tlen       = text.length();
        plen       = pattern.length();
        appear_cnt = 0;
        for (int i=0;i<tlen-plen+1;++i) { // (*)
            if (isMatch(text, i, pattern)) {
                ++appear_cnt;
            }
        }
        return appear_cnt;
    }

}
